/**
 * @file Main.c
 * Demonstration of I2C slave mode using PIC16F1825
 * 
 * @author Roland Michael dela Pea
 * @date 06-29-2012
 */

#include <htc.h>
#include "main.h"
#include "delay.h"
#include "i2c_slave.h"

__CONFIG ( FOSC_INTOSC & WDTE_OFF & PLLEN_ON & MCLRE_OFF & PLLEN_ON & WRT_OFF) ;

unsigned char master_index;
unsigned char master_mode;
unsigned char master_status;
unsigned char master_cmd;
unsigned char eeprom_addr;
unsigned char eeprom_val;

void main() {
	Initialize();
	i2c_slave_initialize();

	while (1) {
		process_i2c_tasks();
	} // end of while (1)
}

void Initialize () {
	OSCCON = 0xFA;
}